Get Usage Report Details

Get Usage Report Details
Get the list of license usage reports.

This will give the details of all license usage reports generated in both Manual and Automated mode.

Request
URI
GET
https://{api_host}/licensing/usage-reports
COPY
Query Parameters
integer
offset
Optional
Constraints: minimum: 0 default: 0

Offset pagination parameter used to exclude from a response the first N items of a resource collection. Combine the offset and the page_size options to request a particular set or page of items.

integer
page_size
Optional
Constraints: minimum: 0 default: 1000

Number of records to be returned in the API request from the provided offset

boolean,null
sort_ascending
Optional
Constraints: default: false

True, if the list of records returned need to be sorted in ascending order, false otherwise.

string
sort_by
Optional

The parameter name on which to sort the list of records. Only top-level parameters in the returned list of records will be supported. If not provided, system will define the parameter by which results are sorted.

string
usage_report_id
Optional

Use this param to filter usage history on the basis of usage report id.

usage_file_status
Optional

Use this param to filter usage history on the basis of usage file status.

mode
Optional

Use this param to filter usage history on the basis of Mode.

start_time
Optional

Start of time range to filter usage reports by creation time (epoch milliseconds, inclusive).

end_time
Optional

End of time range to filter usage reports by creation time (epoch milliseconds, inclusive).


Authentication
This operation uses the following authentication methods.
Responses
200

License Usage history fetched successfully.

Returns UsageReportDetailsList of type(s) application/json
This response body class contains all of the following: ListResult , InlineUsageReportDetailsList1
{
    "total_result_count": 2,
    "results": [
        {
            "id": "Usage_File_1756285863000",
            "usage_file_status": "GENERATED",
            "_create_time": 1756285863000,
            "mode": "MANUAL",
            "_create_user": "SYSTEM"
        },
        {
            "id": "Usage_File_1756285943000",
            "usage_file_status": "SUBMITTED",
            "_create_time": 1756285943000,
            "mode": "AUTOMATED",
            "_create_user": "SYSTEM"
        }
    ]
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


default

unexpected error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/licensing/usage-reports